#ifndef FTPMEVIEW_H
#define FTPMEVIEW_H

#include "defs.h"
#include <View.h>
#include <Point.h>
#include <TextControl.h>
#include <Button.h>
#include <CheckBox.h>
#include "PassControl.h"


#define GO_EVENT 'GO'
#define ANON_EVENT 'ANON'
#define SETTINGS 'SETT'
const BRect mainViewFrame (0,0,200,190);
const BRect usernameFrame (5,5,195,20);
const BRect passwordFrame (5,30,195,45);
const BRect siteFrame (5,55,195,70);
const BRect pathFrame (5,80,195,95);
const BRect anonymousFrame (5,105,195,120);
const BRect logFrame (5,130,195,145);
const BRect goButtonFrame (150,153,190,168);

class FTPmeView: public BView
{
	public:
		FTPmeView();
		virtual void MessageReceived(BMessage *message);
		void AnonymousToggle();
		void LoadSettings();
		void SaveSettings();
		const char *Username() const;
		const char *ActualPassword() const;
		const char *Site() const;
		const char *Path() const;
		int32 LogValue() const;
		
		BButton *go;
	private:
		BTextControl *username;
		PassControl *password;
		BTextControl *site;
		BTextControl *path;
		
		BCheckBox *anonymous;
		BCheckBox *log;
		char tempuser[100];
		char temppass[100];
		
};

#endif